asn1_der_coding(3)

NAME
asn1_der_coding - API function

SYNOPSIS
#include <libtasn1.h>

asn1_retCode asn1_der_coding(ASN1_TYPE element, const char * name, void * ider, int * len, char * ErrorDescription);

ARGUMENTS

ASN1_TYPE element
    pointer to an ASN1 element

const char * name
    the name of the structure you want to encode (it must be inside *POINTER).

void * ider
    vector that will contain the DER encoding. DER must be a pointer to memory cells already allocated.

int * len
    number of bytes of *ider: ider[0]..ider[len-1], Initialy holds the sizeof of der vector.

char * ErrorDescription

DESCRIPTION
Creates the DER encoding for the NAME structure (inside *POINTER structure).

RETURNS

COPYRIGHT
Copyright © 2006, 2007, 2008, 2009, 2010 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual.